<?php

/*

 $Id: index.php 3544 2005-01-04 19:03:27Z philips $
 $HeadURL: https://svn.osuosl.org/public/maintain2/tags/release-2.4.2-RC2/docs/index.php $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Index Document
	Maint document, where is all starts, holds most of the tool links

*/
/* Start House Keeping */
	require "../modules/config.php";

	// do anything that needs to be done here
	if (!check_session()) { logout(); }

	// setup the user environment
	setup_user_environment($action, $zone_id);

/* End House Keeing */
$zones = $user->get_zones_select();

if ($user->is_setup_user()) {
	header("Location: " . $conf['web_path'] . "/admin.php");
	exit();
}

//if they don't have access to anything go to "sucks to be you" page
if (!count($zones) && !$conf['modules']->modules['autoreg']->enabled) { 
	header("Location: " . $conf['web_path'] . "/denied.php");
	exit();
} //no zones for you!
elseif (!count($zones)) { 
	header("Location: " . $conf['web_path'] . "/modules/autoreg.php");
	exit();
}
?>

<? show_template('header'); ?>

<div class="page-title-right">
Welcome to Maintain v<?= $conf['VERSION']?> <?= $user->username ?>.
</div>

<div align="left" class="header1">
<?= ucfirst($conf['zone']->name); ?>
<? if ( $conf['debug'] ) { ?>
	<br /><font class="error">You are currently in debug mode</font>
<? } // debug if ?>
</div>

<? 

/*!
	@function guest_user
	@discusion if they are a user in the read only zone or if it's their only zone
*/
if ($user->is_guest) {
	?>
	<p>You currently have <font class="error">Guest Access</font> <?= $conf['zone']->name; ?></p>
	<? if ( $conf['modules']->modules['autoreg']->enabled ) { ?>
		<table width="100%" border="0">
		<tr>
			<td valign="top" width="50%">
			<? $conf['ui']->widget->zone_information(1); ?>
			</td>
			<td valign="top">
			<? $conf['ui']->widget->zone_information(0); ?><br />

			 <? if ( $conf['zone']->comment ) {
				$items[] = $conf['zone']->comment;
				$conf['ui']->display_widget($items,"Comment for ".$conf['zone']->name,"100%");
                                echo "<br />\n";
                        } // if 
			?>
	                <? $autoreg = new Autoreg(); ?>
	                <? $autoreg->autoreg_widget(); ?>
			</td>
		</tr>
		
		</table>
	<? } //end if for modules mojo

} //read only access

/*!
	@function autoreg_zone
	@discussion show a different tool set if autoreg is enabled, and we are in an autoreg zone
*/
elseif ($conf['modules']->modules['autoreg']->enabled AND !$user->is_guest) { 

	$item = $conf['modules']->get_info("autoreg");

	foreach ($item['zone_name'] as $zone_name) {
		if ($conf['zone']->name == $zone_name) { $in_autoreg = "true"; }
	}

	if ($in_autoreg) { 
		$autoreg = new Autoreg(0);
	?>
	<table border="0" cellpadding="9" cellspacing="0" width="100%" >
	<tr valign="top">
		<td>
			<? $autoreg->show_zone_widget(); ?>
			<br />
			<?
			if ($user->is_admin || $user->is_zone_admin) {
				$conf['ui']->widget->user_information(1);
			}
			?>
		</td>
	</tr>
	</table>
	<?
	}

} // if autoreg

//elseif they have a current zone
if ( $conf['zone'] AND ( !$in_autoreg OR $user->is_admin ) AND !$user->is_guest AND !$user->is_setup_user()) {
	$zone_name = $conf['zone']->name;

	?>
	<table border="0" cellpadding="9" cellspacing="0" width="100%" >
	<tr valign="top">
		<td>
			<? $conf['ui']->widget->zone_information(1); ?> 
		</td>	
		<td>
			<? $conf['ui']->widget->zone_information(); ?>
			<br />
			<? if ( $conf['zone']->comment ) { 
				$zone_name = $conf['zone']->name;
				$conf['ui']->show_text_box("Comment for $zone_name",$conf['zone']->comment, "100%");
				echo "<br /><br />\n";
			} // if ?>
<? if ( $conf['modules']->modules['autoreg']->enabled ) { ?>

		<? $autoreg = new Autoreg(); ?>
		<? $autoreg->autoreg_widget(); ?>
		<br />
<? } ?>
		<?  
		if ($user->is_admin || $user->is_zone_admin) {	
			$conf['ui']->widget->user_information(1);
		} 
		?>
		</td>
	</tr>
</table> 

<?
} //they are currently in a zone and they have access to stuff
if (!$user->is_setup_user()) { 
?>

<br /><br />
<? require ($conf['prefix'] . "/templates/search.inc"); ?>

<? 
} // if not setup user
if ($user->is_setup_user()) { 

	require($conf['prefix'] . "/templates/maintain_setup.inc");

}

show_template('footer'); 

?>
