<?php

/*

 $Id: abuse.php 3544 2005-01-04 19:03:27Z philips $
 $HeadURL: https://svn.osuosl.org/public/maintain2/tags/release-2.4.2-RC2/docs/modules/abuse.php $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Abuse Module Document
	This document handles actions for the abuse module
*/

/* Start House Keeping */

	require "../../modules/config.php";

	// do anything that needs to be done here
        if (!check_session()) { logout(); }
	
	// setup the user environment
	setup_user_environment($action, $zone_id);

/* End House Keeping */

// Needed vars
$info = $conf['modules']->get_info("abuse");

$flo = new Flo(0);
if ($host_id) { $host = new Host($host_id); $hostname = $host->hostname; }
if (!$host_id) { $hostname = "Unknown Host"; }
?>

<? show_template('header'); ?>
<? if ($action == "generate_report") { ?>
<p><font class="header1">Create Abuse Report for <?= $hostname; ?></font></p> 
<? } else { ?>
<p><font class="header1">Abuse Information</font></p>
<? } ?>

<?
//display if block

//if they are generating a report then...
if ($action == "generate_report") {

	require ($conf['prefix'] . "/templates/abuse_create.inc");
	
} //generate_report
elseif ($action == "send_report") {
	$abuse = new Abuse(0);
	$abuse->send_report($to,$cc,$subject,$body);
	
	//Clean up body for display
	$body = str_replace("<","&lt;",$body);
	$body = str_replace(">","&gt;",$body);
	$conf['ui']->display_confirmation("Message Sent....","The following Message has been sent to $to<br />\nSubject:$subject<br/>\n<pre>$body</pre>",$conf['web_path'] . "/modules/flo.php?action=show_top");
	}
elseif ($action == "view_report") {
	
	}

?>


<? show_template('footer'); ?>


