<?php

/*

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 $Id: ns.php 3544 2005-01-04 19:03:27Z philips $
 $HeadURL: https://svn.osuosl.org/public/maintain2/tags/release-2.4.2-RC2/modules/class/ns.php $

 The NS record object ... functions for manipulating & changing nameserver
   records

*/

class NS {
	var $id;
	var $server; // the nameserver that is handling the $domain's dns
	var $domain; // this is a domain_id
	var $glue;   // this is an IP object representing the glue for this ns record

	// we can populate this stuff from the database -- no sense in
	//   passing it in.
	function NS ( $ns_id = 0 ) {
		global $conf;

		$this->id = $ns_id;

		$info = $this->get_info();

		if ( ! $info ) {
			return false;
		}

		$this->server   = $info->name;
		$this->domain   = new Domain($info->domain);
		$this->glue     = false;
		
		if ( $info->glue ) {
			$this->glue = new IP($info->glue);
		}
	} // NS

	function get_info () {
		global $conf;

		$sql = "SELECT * FROM nameserver WHERE id='$this->id'";
		$db_result = mysql_query($sql, $conf['dbh']);
		
		return mysql_fetch_object($db_result);
	} // get_info
}

?>
