<?

/*

 $Id: csv_request.inc 3544 2005-01-04 19:03:27Z philips $
 $HeadURL: https://svn.osuosl.org/public/maintain2/tags/release-2.4.2-RC2/templates/csv_request.inc $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Request CSV
	Display a picker for what kind of CSV that would like
*/
?>

<p>Please chose the type of CSV of your zone information you would like to receive.
It will be mailed to your onid account. ,'s will be replaced with _'s in report fields</p>

<p>Host Report Contents:<br />
        <ul>
                <li>Fully-qualified hostname</li>
                <li>IP address</li>
                <li>Hardware address</li>
                <li>Operating system</li>
                <li>Hardware type</li>
                <li>Location</li>
                <li>Serial Number</li>
                <li>Other ID</li>
                <li>Last Seen</li>
        </ul>
</p>
<p>Cname Report Contents:<br />
	<ul>
		<li>Fully-qualified Hostname</li>
		<li>Cname Server Name</li>
	</ul>
</p>
<p>MX record Report Contents:<br />
	<ul>
		<li>Fully-qualified hostname</li>
		<li>Server</li>
		<li>Priority</li>
	</ul>

</p>
<? if ($conf['modules']->modules['flo']->enabled) { ?>
<p>Bandwidth Report Contents:<br />
<i>Note: Not Included in [All Reports] option. Bandwidth Reports will only include hosts with traffic on the specified day. </i>

	<ul>
		<li>Date of Report</li>
		<li>Fully-qualified hostname</li>
		<li>IP address</li>
		<li>Inbound KB</li>
		<li>Outbound KB</li>
		<li>Inbound Packets</li>
		<li>Outbound Packets</li>
	</ul>
</p>
<? } ?>

<p>All of this data will be emailed to you comma-seperated with one entry per line.</p>


<form name="email_csv" method="post" enctype="multipart/form-data" style="Display:inline" action="<?= $conf['web_path']; ?>/csv.php">
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" bgcolor="<?= $conf['color']->bg['dark']; ?>" width="100%">
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td>Your Email: </td>
	<td><?= $user->email ?></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td>Report Type:</td>
	<td>
	<select name="csv_type">
		<option value="host">Host Report</option>
		<option value="cname">Cname Report</option>
		<option value="mx">MX Record Report</option>
		<? if ($conf['modules']->modules['flo']->enabled) { ?>
		<option value="flo">Bandwidth Usage Report</option>
		<? } ?>
		<option value="all">All Reports</option>
	</select>
	</td>
</tr>
<? if ($conf['modules']->modules['flo']->enabled) { ?>
<tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td>Bandwidth Report Date: (Optional)</td>
	<td>
	<? $flo = new Flo(0); $flo->show_date_select(); ?>
	</td>
</tr>
<? } //end if flo module ?>
<tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td>&nbsp;</td>
	<td>
	<input type="hidden" name="action" value="send_csv" />
	<input type="submit" value="Send Report" />
	</td>

<? show_template('bborder'); ?>
</form>
</tr>
</table>


