<?php

/*

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 $Id: show_autoreg_other_hosts.inc 3544 2005-01-04 19:03:27Z philips $
 $HeadURL: https://svn.osuosl.org/public/maintain2/tags/release-2.4.2-RC2/templates/show_autoreg_other_hosts.inc $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Show Autoregistration Other Hosts
	This shows the "Other" hosts, hosts that $username
	owns but are in a different site.
*/
?>
<br />
<p class="header2">Your other hosts</p>
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
<tr class="widget-title">
	<td>Network Name</td>
	<td>Hardware Address</td>
	<td>Hardware Type</td>
</tr>

<? foreach ($hosts as $host) { ?>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td><?= $info['name'][$host->autoreg_type]; ?></td>
	<td><?= $host->full_ha; ?></td>
	<td><?= $host->type; ?></td>
</tr>
<? } ?>
</table>
<? show_template('bborder'); ?>
