<?php

/*

 $Id: show_children.inc 3544 2005-01-04 19:03:27Z philips $
 $HeadURL: https://svn.osuosl.org/public/maintain2/tags/release-2.4.2-RC2/templates/show_children.inc $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Show Child Object template
	Display all the child objects we can find

*/

// If we found kiddy hosts
if (count($this->hosts)) {
	$conf['ui']->show_hosts($this->hosts,1);
} // if hosts

// If we found kiddy cnames
if (count($this->cnames)) { 
	$conf['ui']->show_cnames($this->cnames,1);
} // if cnames

// If we found kiddy mxs
if (count($this->mxs)) {
	$conf['ui']->show_mxs($this->mxs,1);
} // if mxs

// If we found kiddy zones
if (count($this->zones)) {
	$conf['ui']->show_zones($this->zones,1);
} // if zones

// If we found kiddy domains
if (count($this->domains)) { 
	$conf['ui']->show_domains($this->domains,1);
} // if domains

// If we found kiddy subnets
if (count($this->subnets)) { 
	$conf['ui']->show_subnets('',$this->subnets); 
} // if subnets

// If we found kiddy pointers
if (count($this->pointers)) {
	$conf['ui']->show_pointers('',$this->pointers);
} // if pointers


?>


