<?php

/*

 $Id: show_flo.inc 3544 2005-01-04 19:03:27Z philips $
 $HeadURL: https://svn.osuosl.org/public/maintain2/tags/release-2.4.2-RC2/templates/show_flo.inc $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Show Flos Template
	Display all the flows for a single host, or ip address
*/
show_template('tborder');
// total_items has to be passed in to determine how many page tabs to make
//$conf['ui']->show_list_header($total_items);

?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr align="center" class="widget-title">
		<td>IP Address</td>
    		<td>Date</td>
		<td>Megabytes (MB) In</td>
		<td>Megabytes (MB) Out</td>
		<td>Packets In</td>
                <td>Packets Out</td>
		<? if ($user->is_admin and $conf['modules']->modules['abuse']->enabled) { ?>
		<td>Abuse Report</td>
		<? } ?>
	</tr>

<?

foreach ($flows as $data) {

$ip = new IP(0);
$ip_addr  = $ip->int2ip($data->ip);

?>

	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="center">
		<td><? $conf['ui']->display_field($ip_addr); ?></td>
		<td><? $conf['ui']->display_field(date("F j, Y", $data->date)); ?></td>
		<? if ($data->in_kb >= 1024) { ?>
		<td><?= $data->color_data(intval($data->in_kb/1024)); ?></td>
		<? } else { ?>
		<td><?= substr($data->in_kb/1024,0,4);?></td>
		<? } if ($data->out_kb >= 1024) { ?>
		<td><?= $data->color_data(intval($data->out_kb/1024)); ?></td>
		<? } else { ?>
		<td><?= substr($data->out_kb/1024,0,4);?></td>
		<? } ?>
		<td><? $conf['ui']->display_field(commify($data->in_packets)); ?></td>
		<td><? $conf['ui']->display_field(commify($data->out_packets)); ?></td>
		<? if ($user->is_admin and $conf['modules']->modules['abuse']->enabled) { ?>
		<td><? if ($data->abuse > " ") { ?>
		<a href="">View Report</a>
		<? } else { ?>
		<a href="<?= $conf['web_path']; ?>/modules/abuse.php?action=generate_report&flo_id=<?= $data->id; ?>&ip=<?= $data->ip; ?>&host_id=<?= $data->host->id; ?>">Create Report</a>
		<? } } ?>
		</td>
	</tr>
<?
}
?>
</table>

<?
//$conf['ui']->show_list_header($total_items);
show_template('bborder');
?>

